These are chat archives for mono/monodevelop

21st
Aug 2017
Gadi hh
@gadi_hh_twitter
Aug 21 2017 09:50
hi, i was trying to take a project from visual studio 2017 (.net 4.5.2) and run it on monodevelop on ubuntu 16.04. when i'm opening the .sln in the IDE, i'm getting the error: error loading project ... unknown toolsversion 15.0. any idea?
Matt Ward
@mrward
Aug 21 2017 12:02
@gadi_hh_twitter Change the tools version in the project to 12.0 or 4.0. If that is not possible you would need to use a more recent MonoDevelop that supports tools version 15.0 which should be MonoDevelop 7.0.
Gadi hh
@gadi_hh_twitter
Aug 21 2017 13:22
@mrward how do i change the tools version? is there a simple way to do it?
Matt Ward
@mrward
Aug 21 2017 15:37
I would open the .csproj file into a text editor and change the attribute in the project file.